#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _run_every_load.mcfunction | Runs all commands needed for intial setup.
#                            | Tagged by 'minecraft:load'
#
# //functions tagged in minecraft:load will automatically run every re/load of the data pack//
#
# Datapacks load before loading players into world, so commands can't affect players on the first load.
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# Setup Scoreboard Objectives
scoreboard objectives add xph_crouch minecraft.custom:minecraft.sneak_time "Crouch"
scoreboard objectives add xph_sneak minecraft.custom:minecraft.crouch_one_cm "Sneak"
scoreboard objectives add xph_swim minecraft.custom:minecraft.swim_one_cm "Swim"
scoreboard objectives add xph_dive minecraft.custom:minecraft.walk_under_water_one_cm "Dive"
scoreboard objectives add xph_tp_counter dummy "Teleport Counter"
scoreboard objectives add xph_tick_ticker dummy "Second Counter"
scoreboard objectives add xph_inventory dummy "Inventory Counter"
scoreboard objectives add xph_location_id dummy "Location ID"
scoreboard objectives add xph_run_once dummy "Run Once Check"
scoreboard objectives add xph_rabbit1 dummy "Rabbit 1 Check"
scoreboard objectives add xph_rabbit2 dummy "Rabbit 2 Check"
scoreboard objectives add xph_rabbit3 dummy "Rabbit 3 Check"
scoreboard objectives add xph_rabbit4 dummy "Rabbit 4 Check"
scoreboard objectives add xph_rabbit5 dummy "Rabbit 5 Check"
scoreboard objectives add xph_ded minecraft.custom:minecraft.deaths "Player Deaths"
scoreboard objectives add xph_jump minecraft.custom:minecraft.jump "Jumps"
scoreboard objectives add xph_mob minecraft.custom:minecraft.mob_kills "Mob Kills"
scoreboard objectives add xph_table minecraft.custom:minecraft.interact_with_crafting_table "Open Crafting Table"
scoreboard objectives add xph_time minecraft.custom:minecraft.play_one_minute "Play Time"
scoreboard objectives add xph_time_ticks dummy "Time Calc"
scoreboard objectives add xph_time_hours dummy "Time Calc"
scoreboard objectives add xph_time_minutes dummy "Time Calc"
scoreboard objectives add xph_time_seconds dummy "Time Calc"
scoreboard objectives add xph_math_20 dummy "20"
scoreboard objectives add xph_math_60 dummy "60"
scoreboard objectives add xph_math_1200 dummy "1,200"
scoreboard objectives add xph_math_72000 dummy "72,000"
scoreboard objectives add xph_math_5 dummy "5"
scoreboard objectives add yPosTest dummy "yPosTest"
scoreboard objectives add yPosStore dummy "yPosStore"

# Setup Teams
team add Lucky
team modify Lucky color green
team add players
team modify players friendlyFire false

# Global Map Settings
gamerule spawnRadius 3
gamerule commandBlockOutput false
gamerule sendCommandFeedback false
gamerule reducedDebugInfo true
gamerule spectatorsGenerateChunks false
gamerule doDaylightCycle false
gamerule doWeatherCycle false
weather clear 1000000
gamerule mobGriefing false
gamerule doLimitedCrafting true
gamerule keepInventory false
setworldspawn 201 168 1630

# END OF LINE.